Subject: bug#29063: C-g not quitting minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Nov 2017 17:53:00 +0200

> From: Apocalypse Mystic <[email-masked]>
> Date: Sat, 4 Nov 2017 11:37:38 -0400
> Cc: [email-masked]
> 
> timer-idle-list
> 
> working emacs:
> ([nil 0 0 500000 t jit-lock-context-fontify nil idle 0])
> 
> broken emacs:
> ([nil 0 0 500000 t jit-lock-context-fontify nil idle 0] [nil 0 0 500000 0.5 blink-cursor-start nil idle 0])

Both are normal.

> I have also noticed that, with toggle-debug-on-quit on, just typing C-g while in the normal writing buffer will
> always send me to the debugger on only one line:
> 
> Debugger entered--Lisp error: (quit)
>   internal-timer-start-idle()
> 
> This happens in the broken emacs only, and C-g here does nothing in the working emacs. Likewise, in the
> broken emacs, while I am highlighting text with C-space, C-g will 50% of the time cancel the highlight and 50%
> of the time open the above debugger on the timer start function. In the working emacs, of course, it cancels
> the highlight 100% of the time.

I cannot reproduce either of these strange issues.  I tried on 2
different systems, with the same negative result.